<?php if(file_exists('../_cfg/config.php')){include('../_cfg/config.php');}?>	

<?php 
 include('php_gene1.php');
 include('php_session.php');

$xcodi2=$_POST['vcodigo'];
$xtabla=$_POST['vtabla'];

$xbode=$_POST['vbode'];
$xctadet=$_POST['vctadet'];

$xcodigo='';
$xdescri='';
$xfound=0;	

// $orient=$_SESSION['orient'];


$screenw=$_POST['screenw'];
$screenh=$_POST['screenh'];

$screenr=100;
if($screenh>0)
{$screenr=$screenw/$screenh*100;}

// vertical
// >=75 10 pulgadas
// >=1 horizontal

$orient='V';
if($screenr>=75){$orient='H';}


$xfontsize=12;
if($orient=='V'){$xfontsize=40;}
if($orient=='H'){$xfontsize=12;}




// echo '*/*/*/*'.$xtabla.'-'.$xcodi2;

if($xtabla=='enti'){val_ruced($xcodi2);}
if($xtabla=='item'){val_ean($xcodi2);}
if($xtabla=='vhcl'){val_vhcl($xcodi2);}



if(mb_stristr('ctas',$xtabla) and $xctadet==1)
{
     if(!ctas_deta($xcodi2))
     {
          ?>
<resultado>
		<codigo><?php echo '';?></codigo>
   	<descri><?php echo 'DEBE SER CTA DETALLE';?></descri>
   	<regis><?php echo $xfound;?></regis>
   	<codi2><?php echo $xcodi2;?></codi2>
 </resultado>
<?php
          die();
     }
}


if(mb_stristr('item',$xtabla))
{
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_lsub="GENE-GENE" where '.$xtabla.'_lsub="" or '.$xtabla.'_lsub is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_puni1=item_puni where '.$xtabla.'_puni1=0 or '.$xtabla.'_puni1 is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
}

if(mb_stristr('enti',$xtabla))
{
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_descri='.$xtabla.'_razsoc where '.$xtabla.'_descri="" or '.$xtabla.'_descri is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_descri='.$xtabla.'_nomcom where '.$xtabla.'_descri="" or '.$xtabla.'_descri is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_tpro="BIEN" where '.$xtabla.'_tpro="" or '.$xtabla.'_tpro is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_zsub="GENE-GENE" where '.$xtabla.'_zsub="" or '.$xtabla.'_zsub is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
}


if(!mb_stristr('enti',$xtabla))
{
  $sql_stat='update '.$xtabla.'0 set '.$xtabla.'_status="-" where '.$xtabla.'_status="" or '.$xtabla.'_status is null';
  $res_stat=msql_query($sql_stat,$link_vcrx);
  
  
  
}
// if($xtabla=='item' and substr($xcodi2,0,2)=='88' and mb_stristr('sist.supe.admi',$user_tipo))
if($xtabla=='item' and substr($xcodi2,0,2)=='88')
{
  if(strlen($xcodi2)==11)
  {new_item2(substr($xcodi2,0,10),substr($xcodi2,10,1));}  
}

if($xcodi2!="")
{
// 		require('../cfg/res.php');
// 		msql_query("SET NAMES 'utf8'");

		$codigo=$xtabla.'_codigo';
		$descri=$xtabla.'_descri';
		$lused=$xtabla.'_lused';
		$xorder=$descri.','.$codigo;

		if (mb_stristr('0123456789',substr($xcodi2,0,1))){$xorder=$codigo;}
	
		$sql_busca ='select * from '.$xtabla.'0 ';
		$sql_busca.=' where '.$xtabla.'_codigo =  "'.$xcodi2.'" ';
       if(mb_stristr('enti',$xtabla))
       {$sql_busca.=' and '.$xtabla.'_status!="X" ';}
		$sql_busca.=' order by '.$codigo;
		$res_busca=msql_query($sql_busca,$link_vcrx);
		$xfound=msql_num_rows($res_busca);
// 	echo $xfound.'****';
		if($xfound!=0)
		{
			$xcodigo =  msql_result($res_busca,0,$codigo);
			$xdescri =  msql_result($res_busca,0,$descri);
		}

		if ($xfound==0 && $xtabla=='item')
		{
				$sql_busca ='select * from '.$xtabla.'0 ';
				$sql_busca.='where '.$xtabla.'_status!="X" ';
// 				$sql_busca.='and '.$xtabla.'_codigo like  "%'.$xcodi2.'%" ';
				$sql_busca.='and '.$xtabla.'_ean like  "%'.$xcodi2.'%" ';
// 				$sql_busca.='and '.$xtabla.'_codigov like  "%'.$xcodi2.'%" ';
// 				$sql_busca.='and '.$xtabla.'_sku like  "%'.$xcodi2.'%" ';
				$sql_busca.='order by '.$lused.' desc';
				$res_busca=msql_query($sql_busca,$link_vcrx);
				$xfound=msql_num_rows($res_busca);
				if($xfound!=0)
				{
					$xfound=2;
					$xcodigo =  msql_result($res_busca,0,$codigo);
					$xdescri =  msql_result($res_busca,0,$descri);
				}
         
		}

  
  
		if ($xfound==0)
		{
				$sql_busca='select * from '.$xtabla.'0b limit 1';
				$res_busca=msql_query($sql_busca,$link_vcrx);

				if(!msql_error($link_vcrx))
				{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$xwhere = $xtabla.'_buscar like "%'.str_replace(' ', '%" and '.$xtabla.'_buscar like "%', $xcodi2).'%"';
					$sql_busca='select * from '.$xtabla.'0b where '.$xwhere.' and '.$xtabla.'_status!="X" order by '.$lused.' desc';
					$res_busca=msql_query($sql_busca,$link_vcrx);
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
				}
         
				if ($xfound==0)
				{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$sql_busca ='select * from '.$xtabla.'0 ';
					$sql_busca.='where '.$xtabla.'_status!="X" ';
					$sql_busca.='and ('.$xtabla.'_codigo like "'.$xcodi2.'%"  ';
      		if ($xtabla=='item')
             {
//                $sql_busca.=' or '.$xtabla.'_codigo like "'.$xcodi2.'%" ';
               $sql_busca.=' or '.$xtabla.'_codigo like "%'.$xcodi2.'" ';
               $sql_busca.=' or '.$xtabla.'_ean like "'.$xcodi2.'%" ';
               $sql_busca.=' or '.$xtabla.'_codigov like "'.$xcodi2.'%" ';
             }
					$sql_busca.=' or '.$xtabla.'_descri like "%'.$xcodi2.'%") ';
					$sql_busca.='order by '.$lused.' desc';
					$res_busca=msql_query($sql_busca,$link_vcrx);
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
				}
		}
	
  
		if ($xfound==0 && mb_stristr('0123456789',substr($_POST['vcodigo'],0,1)) && mb_stristr('enti.item.ctas',$xtabla))
		{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$sql_busca='select * from '.$xtabla.'0 where '.$xtabla.'_codigo like  "'.$xcodi2.'%"  and '.$xtabla.'_status!="X" order by '.$lused.' desc';
					$res_busca=msql_query($sql_busca,$link_vcrx);
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
		}

		if ($xfound==0 && !mb_stristr('0123456789',substr($_POST['vcodigo'],0,1)))
		{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$sql_busca='select * from '.$xtabla.'0 where '.$xtabla.'_descri like  "%'.$xcodi2.'%"  and '.$xtabla.'_status!="X" order by '.$lused.' desc';
					$res_busca=msql_query($sql_busca,$link_vcrx);
// 						echo $sql_busca;
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
		}

		if ($xfound==0)
		{
				$sql_busca='select * from '.$xtabla.'0 where '.$xtabla.'_descri like  "%'.$xcodi2.'%" order by '.$lused.' desc';
				$res_busca=msql_query($sql_busca,$link_vcrx);
				$xfound=msql_num_rows($res_busca);
				if($xfound!=0)
				{
					$xfound=2;
					$xcodigo =  msql_result($res_busca,0,$codigo);
					$xdescri =  msql_result($res_busca,0,$descri);
				}
		}

		if ($xfound==0 and $xtabla=="item")
		{
				$sql_busca='select * from '.$xtabla.'0 where '.$xtabla.'_ean like  "%'.$xcodi2.'%" order by '.$lused.' desc';
				$res_busca=msql_query($sql_busca,$link_vcrx);
				$xfound=msql_num_rows($res_busca);
				if($xfound!=0)
				{
					$xfound=2;
					$xcodigo =  msql_result($res_busca,0,$codigo);
					$xdescri =  msql_result($res_busca,0,$descri);
				}
		}

		if ($xfound==0)
		{
				$sql_busca='select * from '.$xtabla.'0b limit 1';
				$res_busca=msql_query($sql_busca,$link_vcrx);

				if(!msql_error($link_vcrx))
				{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$xwhere = $xtabla.'_buscar like "%'.str_replace(' ', '%" and '.$xtabla.'_buscar like "%', $xcodi2).'%"';
					$sql_busca='select * from '.$xtabla.'0b where '.$xwhere.' and '.$xtabla.'_status!="X" order by '.$lused.' desc';
					echo $sql_busca;	
					$res_busca=msql_query($sql_busca,$link_vcrx);
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
				}
// 				else
			if(1==0)
				{
					$xcodi2=$_POST['vcodigo'];
					while(strlen($xcodi2)>0 && $xfound==0)
					{
					$sql_busca='select * from '.$xtabla.'0 where '.$xtabla.'_codigo like "'.$xcodi2.'%" or '.$xtabla.'_descri like "'.$xcodi2.'%" and '.$xtabla.'_status!="X" order by '.$lused.' desc';
					$res_busca=msql_query($sql_busca,$link_vcrx);
					$xfound=msql_num_rows($res_busca);
					if($xfound!=0)
							{
							$xcodigo =  msql_result($res_busca,0,$codigo);
							$xdescri =  msql_result($res_busca,0,$descri);
							}
					else{$xcodi2=substr($xcodi2,0,-1);}
					}
				}
		}
}

if($xfound!=0)
{
	$sql_buscau ='update '.$xtabla.'0 set '.$xtabla.'_lused=now() ';
  if(mb_stristr('enti.item',$xtabla))	
	{$sql_buscau.='where '.$xtabla.'_codigo like "'.$xcodigo.'%" ';}
	else
	{$sql_buscau.='where '.$xtabla.'_codigo like "'.$xcodigo.'" ';}

	$sql_buscau.=' and ('.$xtabla.'_lused<now() or '.$xtabla.'_lused is null )';
	$res_buscau=msql_query($sql_buscau,$link_vcrx);
  
//   echo $sql_buscau;
//   echo '*/*/*/'.msql_error($link_vcrx);

  if($xtabla=='item' and substr($xcodigo,0,2)=='88')
  {sub_item($xcodigo);}

}

?>





<?php if ($xfound!=0){ ?>
<resultado>
   	<regis><?php echo $xfound;?></regis>
   	<codi2><?php echo $xcodi2;?></codi2>
   	<sql><?php //echo $sql_busca;?></sql>
<?php	
		$sql_stru1='describe '.$xtabla.'0';
		$res_stru1=msql_query($sql_stru1,$link_vcrx);
		while ($aso_stru1=msql_fetch_assoc($res_stru1))
		{
      $xvalor=msql_result($res_busca,0,$aso_stru1['Field']);
      $xfield=$aso_stru1['Field'];
      $xtype=$aso_stru1['Type'];
      if(substr($xtype,0,7)=='decimal'){$xvalor=rtrim($xvalor,'0'); 
                                        $xvalor.='0';
                                       }
      echo '<'.trim(substr($aso_stru1['Field'],5,30)).'>'.$xvalor.'</'.trim(substr($aso_stru1['Field'],5,30)).'>';
    }
                   
     $duni=@msql_result($res_busca,0,'item_duni');                   
?>	

  
<?php
//   $ver_puni=0;
//   if(mb_stristr('sist.supe',$user_tipo)){$ver_puni=1;}
//   if($user_codigo!='' and $ver_puni==0)
//   {
//     $sql_puni ='select * from acce12 where numero="'.$user_codigo.'" ';
//     $sql_puni.='and substring(docum,1,2) in("FC","PF","PC","NC") ';
//     $sql_puni.='and (nuev=1 or cons=1)';
//     $res_puni=msql_query($sql_puni,$link_vcrx);
//     if(msql_num_rows($res_puni)>0){$ver_puni=1;}
//   }
  $ver_puni=1;

// echo '<msgalert>';                   
// echo '*** '.$user_tipo;                   
// echo '*** '.$sql_puni;                   
// echo '</msgalert>';                   
                   
?>  
  
<?php if($ver_puni==1){ ?>  
<dlpuni>
  <?php 
// echo '*** '.$user_tipo;                   
// echo '*** '.$sql_puni;                   
  ?>
  <?php for($idx=1;$idx<=10;$idx++){ ?>
    <?php $precio=@msql_result($res_busca,0,'item_puni'.$idx); ?>
    <?php $prepvp=@msql_result($res_busca,0,'item_pvp'.$idx); ?>
    <?php if($precio>0){ ?>
    <option value="<?php echo $precio; ?>"><?php echo 'Lista '.$idx.'-->'.number_format($precio,2); if($prepvp>$precio){echo '==>'.number_format($prepvp,2);} ?></option>
    <?php } ?>
  <?php } ?>
</dlpuni>  
  
<dlpvp>
  <?php for($idx=1;$idx<=10;$idx++){ ?>
    <?php $precio=@msql_result($res_busca,0,'item_pvp'.$idx); ?>
    <?php if($precio>0){ ?>
    <option value="<?php echo $precio; ?>"><?php echo 'Lista '.$idx.'-->'.number_format($precio,2); ?></option>
    <?php } ?>
  <?php } ?>
</dlpvp>  
  
<dldcto>
  <?php for($idx=1;$idx<=10;$idx++){ ?>
    <?php $precio=@msql_result($res_busca,0,'item_dcto'.$idx); ?>
    <?php if($precio>0){ ?>
    <option value="<?php echo $precio; ?>"><?php echo 'Dcto.'.$idx.'-->'.number_format($precio,2); ?></option>
    <?php } ?>
  <?php } ?>
</dldcto>  

<?php } ?>  
  
<clortlla>
<?php
  if(mb_stristr('gmny.gnya',$cfg_empr)  )
  {
?>
  <table>
    <tr>
  <?php
    
    {
    $xcodi2=$xcodigo;  
      
    $xcodi2=trim(substr($xcodi2,0,10));
      
    $sql_tlla ='select * from item0 ';
    $sql_tlla.='left join clor0 on item_clor=clor_codigo ';
    $sql_tlla.='left join tlla0 on item_tlla=tlla_codigo ';
    $sql_tlla.='where item_codigo like "'.$xcodi2.'%" ';
    if(strlen($xcodi2)==8)
    {$sql_tlla.='and clor_codigo!="00"';}
    $sql_tlla.='order by item_codigo ';
    $res_tlla=msql_query($sql_tlla,$link_vcrx);
    
    if(msql_num_rows($res_tlla)>1)
    {
      while($aso_tlla=msql_fetch_assoc($res_tlla))
      {
        $xitem2=trim($aso_tlla['item_codigo']);
        $clor_descri=$aso_tlla['clor_descri'];
        $clor_hexa=$aso_tlla['clor_hexa'];
        $tlla_descri=$aso_tlla['tlla_descri'];
        
        if($orient=='V')
        {
          $tlla_descri=substr($tlla_descri,0,3);
          $clor_descri=substr($clor_descri,0,5);
        }
        
        if(strlen($xitem2)>8)
        {
            $oktllas=0;
            if(substr($xitem2,10,2)!='00')
            {
              $sql_item00='select * from item0 where item_codigo like "'.substr($xitem2,0,10).'%"  ';
              $res_item00=msql_query($sql_item00,$link_vcrx);
              if(msql_num_rows($res_item00)>1){$oktllas=1;}
            }
            else
            {if($orient=='V'){echo '</tr><tr><td>|</td></tr><tr>';}}
          
            if($oktllas==1)
            {$pidtxt=$xitem2; $pcaption=$tlla_descri; $pobj=2; $pclor=$clor_hexa; $pphold=$clor_descri; $plong=5;
             $psize=$xfontsize;
//              if($orient=='V'){$psize=$xfontsize*.8;}
             include('vrgetval.php');}

        }
      }
    }
      
    }
   ?>
    </tr>
  </table>
    
    <?php
  }
?>  
</clortlla>
  
  

  
<?php
// echo '<msgalert>';
// echo '*/*/*/'.$orient;
// echo '</msgalert>';
                   
?>  
  
<?php if(mb_stristr('demo.saar.gmny.gnya.hfre',$cfg_empr)){$ver_stock=1;} ?>
     
<?php if($ver_stock==1){ ?>
<?php $stock=sal_item($xcodi2,'','',$xbode);?>
<?php //$stock[4]=12345;?>
<?php //$stocks=number_format($stock[4],$duni);?>
<?php echo '<stock>'.number_format($stock[4],$duni).'</stock>'?>     
<?php //echo '<stock>'.($stock[4]).'</stock>'?>     
<?php //echo '<stock>'.($stocks).'</stock>'?>     
<?php } ?>     
	
 </resultado>
<?php } else { ?>
<resultado>
		<codigo><?php echo '';?></codigo>
   	<descri><?php echo '';?></descri>
   	<regis><?php echo $xfound;?></regis>
   	<codi2><?php echo $xcodi2;?></codi2>
 </resultado>
<?php } ?>


<?php
if($xtabla=='vhcl' and $xfound!=0)
{
  $prop=r_fiel('vhcl',$xcodi2,'propietario');
  if(strlen($prop)<5)
  {$prop=get_vhclprop($xcodi2);}
}
?>
